<template>
	<div id="app">
		<h1>Sci-fi books</h1>

		<BookDetails v-bind="books.dune">
			<div slot="description" v-mark-word="'the'">
				Set in the far future amidst a sprawling feudal interstellar empire where planetary dynasties are
				controlled by noble houses that owe an allegiance to the imperial House Corrino, Dune tells the story of
				young Paul Atreides (the heir apparent to Duke Leto Atreides and heir of House Atreides) as he and his
				family accept control of the desert planet Arrakis, the only source of the 'spice' melange, the most
				important and valuable substance in the cosmos. The story explores the complex, multi-layered
				interactions of politics, religion, ecology, technology, and human emotion as the forces of the empire
				confront each other for control of Arrakis.
			</div>
		</BookDetails>
		<BookDetails
			:title="books.hobbit.title" :author="books.hobbit.author"
			:pages="books.hobbit.pages" :likes="books.hobbit.likes" :date-of-publication="books.hobbit.dateOfPublication">
			<div slot="description">
				On the Moon, an enigma is uncovered.
				<br/><br/>
				So great are the implications of this discovery that for the first time men are sent out deep into our solar system.
				<br/><br/>
				But long before their destination is reached, things begin to go horribly, inexplicably wrong...
				<br/><br/>
				One of the greatest-selling science fiction novels of our time, this classic book will grip you to the very end.
			</div>
		</BookDetails>
	</div>
</template>

<script>
	import BookDetails from './components/BookDetails.vue'

	export default {
		name: "app",
		// without using a plugin directives can be added here:
		// directives: {
		// 	markWord: markWord
		// },
		components: {
			BookDetails
		},
		data: () => {
			return {
				books: {
					dune: {
						title: "Dune",
						author: "Frank Herbert",
						pages: "604",
						dateOfPublication: "September 21st 1937"
					},
					hobbit: {
						title: "2001: A Space Odyssey",
						author: "Arthur C. Clarke",
						pages: 297,
						likes: 5,
						dateOfPublication: "June 1968"
					}
				}
			}
		}
	}
</script>

<style>
	#app {
		font-family: 'Avenir', Helvetica, Arial, sans-serif;
		-webkit-font-smoothing: antialiased;
		-moz-osx-font-smoothing: grayscale;
		text-align: center;
		color: #2c3e50;
		margin-top: 60px;
	}

	.marked-word {
		font-weight: 700;
		color: #42b983;
	}
</style>
